package ru.yandex.autodoc.wmtools.params.fetch.impl;

import ru.yandex.autodoc.common.doc.abstracts.ParamsDocRegistrar;
import ru.yandex.autodoc.wmtools.params.fetch.MultiParamView;
import ru.yandex.autodoc.wmtools.params.fetch.impl.common.AbstractMultiParamViewBuilder;

/**
 * @author avhaliullin
 */
public class MultiIntBuilder extends AbstractMultiParamViewBuilder<MultiIntBuilder> {
    public MultiIntBuilder(String paramName) {
        super(paramName);
    }

    public MultiParamView<Integer> build(ParamsDocRegistrar registrar, String desc) {
        return new IntegerViewMultiple(registrar, paramName, required, minValues, maxValues, desc);
    }

    @Override
    protected MultiIntBuilder self() {
        return this;
    }
}
